Subject: Broken link in /sys/class/net/ [was: [GIT] Networking]

From: Jiri Slaby <[email-masked]>
Date: Sun, 30 Oct 2011 01:03:30 +0200

On 10/25/2011 03:13 PM, Greg KH wrote:
> On Tue, Oct 25, 2011 at 01:46:11PM +0200, Linus Torvalds wrote:
>> Anyway, after that rant about really bad practices, let me say that I
>> did fix up the conflict and I think it's right. But I won't guarantee
>> it, so please check the changes to fs/sysfs/dir.c.
> 
> I think it looks ok, I've booted the merge result, and am typing and
> sending this from the new kernel, and it hasn't crashed yet :)

Hi, maybe this was not caused by the merge, but the patch[1] causes this
mess in /sys/class/net/ for me:
l????????? ? ?    ?    ?             ? eth1

This happens after one renames a net device -- the new name is eth1 here.

[1] 4f72c0cab40 (sysfs: use rb-tree for name lookups)

regards,
-- 
js
suse labs